
.pimcore_icon_dynamicDropdown {
    background: url('../img/icons/dynamic-dropdown.svg') left center no-repeat !important;
}

.pimcore_icon_dynamicDropdownMultiple {
    background: url('../img/icons/dynamic-dropdown-multiple.svg') left center no-repeat !important;
}


.x-form-itemselector-btn {
    font: 16px/30px FontAwesome;
}

.x-form-itemselector-top:before {
    content: "\f102";
}

.x-form-itemselector-up:before {
    content: "\f106";
}

.x-form-itemselector-add:before {
    content: "\f105";
}

.x-form-itemselector-remove:before {
    content: "\f104";
}

.x-form-itemselector-down:before {
    content: "\f107";
}

.x-form-itemselector-bottom:before {
    content: "\f103";
}

.x-combo-item-disabled {
    pointer-events: none;
    color: #AAAAAA;
}

.x-combo-item-disabled:hover {
    cursor: default;
}

.ext-ux-clearbutton {
    width: 12px;
    height: 12px;
    background-image: url('/pimcore/img/icons/clear-filter.svg');
    background-repeat: no-repeat;
    -moz-user-focus: ignore; /* https://developer.mozilla.org/en/CSS/-moz-user-focus */
    cursor: pointer;
    position: absolute;
    overflow: hidden; /* IE 6 :-( */
    margin-top: 4px;
    background-color: white;
}

.ext-ux-clearbutton-on {
    opacity: 1;
    visibility: visible;
    transition: opacity .35s linear;
    -webkit-transition: opacity .35s linear;
    -moz-transition: opacity .35s linear;
    -o-transition: opacity .35s linear;
    -ms-transition: opacity .35s linear;
    -khtml-transition: opacity .35s linear;
}

.ext-ux-clearbutton-off {
    opacity: 0;
    visibility: hidden;
    transition: opacity .35s linear, visibility .0s linear .35s;
    -webkit-transition: opacity .35s linear, visibility .0s linear .35s;
    -moz-transition: opacity .35s linear, visibility .0s linear .35s;
    -o-transition: opacity .35s linear, visibility .0s linear .35s;
    -ms-transition: opacity .35s linear, visibility .0s linear .35s;
    -khtml-transition: opacity .35s linear, visibility .0s linear .35s;
}

.object_field_type_input, .object_field_type_textarea, .object_field_type_firstname, .object_field_type_lastname, .object_field_type_email {
    max-width: 810px !important;
    width: 100% !important;

    .x-form-item-label-default {
        width: 160px !important;
    }

    .x-box-inner {
        width: 810px !important;
    }

    input {
        width: 648px;
    }
}

.pimcore_class_Person {
    .object_field_type_gender {
        max-width: 810px !important;
        width: 100% !important;

        .x-form-item-label-default {
            width: 160px !important;
        }

        .x-box-inner {
            width: 810px !important;
        }
    }
}

.object_field_type_select, .object_field_type_manyToOneRelation, .object_field_type_input, .object_field_type_checkbox, .object_field_type_link, .object_field_type_wysiwyg, .object_field_type_textarea, .object_field_name_eolDate, .object_field_type_numeric {
    .x-form-item-label-default, .x-form-item-label-text, .x-form-item-label-inner {
        width: 160px !important;
    }
}

.object_field_type_localizedfields {
    .x-panel-default.x-tabpanel-child {
        padding-left: 0 !important;
    }

    > .x-panel-bodyWrap {
        > .x-tab-bar {
            display: none !important;
        }
    }
}

.pimcore_class_Download, .pimcore_class_Collateral, .pimcore_class_ServicesAddOn, .pimcore_class_ProductCategory, .pimcore_class_ProductAccessory, .pimcore_class_ProductVariant {
    .pimcore_reverse-object-relation-warning {
        display: none;
    }
}

.pimcore_class_Industry, .pimcore_class_ServicesAddOn, .pimcore_class_Collateral {
    .object_field_type_checkbox {
        .x-box-layout-ct {
            max-width: 500px;
        }
    }

    .objectlayout_element_Content {
        .object_field_type_input, .object_field_type_textarea, .object_field_type_date {
            max-width: 810px !important;
            width: 100% !important;

            .x-form-item-label-default, .x-form-item-label-text {
                width: 160px !important;
            }
        }
    }
}

.pimcore_class_Product {
    .object_field_name_bulletpoints {
        label {
            width: 160px !important;
        }

        .object_field_type_input {
            overflow: visible !important;

            .x-panel-body-default, .x-panel-bodyWrap {
                overflow: visible !important;
            }

        }

    }

    .object_field_name_productFeatures {
        > .x-header-noborder {
            padding: 6px 7px !important;
        }
    }
}

.pimcore_class_ProductGroup {
    & .object_field_type_numeric {
        label {
            width: 160px !important;
        }
    }

    & .object_field_name_bulletpoints {
        label {
            width: 160px !important;
        }

        .object_field_type_input {
            overflow: visible !important;

            .x-panel-body-default, .x-panel-bodyWrap {
                overflow: visible !important;
            }
        }
    }
}

.pimcore_class_ProductAccessory, .pimcore_class_ProductFamily {
    .object_field_name_bulletpoints {
        label {
            width: 160px !important;
        }

        .object_field_type_input {
            overflow: visible !important;

            .x-panel-body-default, .x-panel-bodyWrap {
                overflow: visible !important;
            }
        }
    }
}

.objectlayout_element_panel {
    .x-panel-body {
        & .x-panel-default {
            .x-panel-default-outer-border-rbl {
                padding-top: 10px !important;
                padding-bottom: 10px !important;
            }
        }
    }

    .object_field_type_localizedfields {
        .x-tabpanel-child {
            padding: 0 10px 0 0 !important;
        }
    }
}

.pimcore_class_ProductGroup {
    .object_field_name_hideConfiguratorButtonEmea {
        .x-form-item-label-text {
            width: 160px !important;
        }
    }
}

.object_field_type_block {
    .x-panel-body {
        border: none !important;

        .x-form-item-label-default {
            width: 160px !important;

            span {
                width: 160px !important;
            }
        }
    }

    > .x-panel-header-default {
        border: none;
    }
}

.object_field_type_fieldcollections {
    > .x-panel-header-default {
        border: none;
    }
}

.object_field_type_fieldcollections {
    .x-panel-default-outer-border-trbl {
        border: none !important;
    }
}

.object_field_name_availableUntil, .object_field_name_deliverableUntil {
    .x-form-item-label-text {
        display: block;
        width: 160px !important;
    }
}

.objectlayout_element_tabpanel {
    > .x-panel-bodyWrap {
        > .x-panel-body-default {
            padding: 10px 10px !important;
        }
    }
}

.object_field_type_image {
    .x-toolbar-text-default {
        display: block !important;
    }
}

.object_localizedfields_panel label .x-form-item-label-inner:after {
    content: "\1F310";
    margin-left: 5px;
}

.object_localizedfields_panel .x-panel .x-box-inner .x-box-target .x-title-text:before{
    content: "\1F310";
    margin-left: 5px;
}